Skip to main content
POST
/
organizations
/
{organizationId}
/
users
/
{userId}
/
permissions
/
by-name
Assign a permission by name
curl --request POST \
  --url https://api.hixbe.com/account/organizations/{organizationId}/users/{userId}/permissions/by-name \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "permissionName": "users.create",
  "grant": true
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required
userId
string
required

Body

application/json
permissionName
string
required

Permission name to assign

Example:

"users.create"

grant
boolean
default:true
required

Grant permission (true) or deny/revoke (false)

Response

201

Permission assigned successfully